#include <TH1F.h>
#include <TFile.h>
#include <TStyle.h>
#include <TROOT.h>
#include <TTree.h>
#include "GenInfo.h"
#include "RecInfo.h"
#include "GenInfo.C"
#include "RecInfo.C"

int run(){

  //  gROOT->ProcessLine(".L RecInfo.C");
  //gROOT->ProcessLine(".L GenInfo.C");

  TH1F *taugen = new TH1F("taugen","Generated propertime",10,0.0,5.0);

  gROOT->Reset();  
  gStyle->SetOptFit(1);
  gStyle->SetOptStat(0);
  
  TFile* f=new TFile("signalMC.root"); 
  TTree *tr=(TTree*)f->Get("Bs2DsK1Tree/MyTuple");     // Get Ntuple
  TTree *tg=(TTree*)f->Get("MCInfo");     // Get Ntuple


  GenInfo genInfo(tg);
  genInfo.Loop();

  RecInfo recInfo(tr);
  recInfo.Loop();
  
  hbsmass->Draw("e");
  taugen->Draw();
  
}




